Tiger installer [was: Re: ANN: Mac installer pkg for GHC - trial release (Leopard, Intel)]

Christian Maeder Christian.Maeder at dfki.de
Wed Feb 20 04:52:10 EST 2008

Manuel M T Chakravarty wrote:
> Christian Maeder:
> Specifically, I am seeing
>   dyld: bind: ghc-6.9.20080219:_fcntl$UNIX2003$lazy_ptr =
> libSystem.B.dylib:_fcntl$UNIX2003, *0x0108a413 = 0x92c7b7bc

what tells you that this is Leopard specific?

> on running
>   env DYLD_PRINT_BINDINGS= compiler/stage2/ghc-6.9.20080219
> Any idea why that may be?

no, no idea.

>   -optl-isysroot -optl/Developer/SDKs/MacOSX10.4u.sdk
> -optl-mmacosx-version-min=10.4

Interesting, in contrast to you I had a problem with
-mmacosx-version-min and had to use MACOSX_DEPLOYMENT_TARGET when
building user programs on Leopard using my Tiger bindist.


> -optl-Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk
> on all CC and LD targets, I don't seem to have any Leopard symbols
> anymore.  FWIW, Xcode 3.0 also seem to use explicit SDK options.

I haven't built ghc on Leopard, yet, but I'll expect to use -isysroot
and -syslibroot then, too.

Cheers Christian

More information about the Glasgow-haskell-users mailing list